import React, { useState } from 'react';
import { connect, history } from 'umi';
import ProCard from '@ant-design/pro-card';
import { PageContainer } from '@ant-design/pro-layout';
import Container from '@/components/Container';
import { Input, Select, Form, Button } from 'antd';
import ProForm, { ProFormText, ProFormTextArea, ProFormSelect } from '@ant-design/pro-form';
import request from '@/utils/request';

const { Option } = Select;
const { Search } = Input;
const VisitEdit = () => {
  const [list, setList] = useState([]);
  const [searchLoading, setSearchLoading] = useState(false);

  const [form] = Form.useForm();
  // state = {
  //   data: [],
  //   value: undefined,
  // };

  // const changeStatus = (hospital) => {
  //   // 0 变 1, 1 变 0
  //   // eslint-disable-next-line no-bitwise
  //   const status = hospital.status ^ 1;
  //   const data = { ...hospital, status }

  //   request(`/hospital/${hospital.hospitalId}`, {
  //     method: 'put',
  //     data,
  //   })
  //     .then(() => {
  //       tableRef.current.reload();
  //       notification.success({ message: '操作成功' });
  //     })
  //     .catch((e) => {
  //       notification.error({ message: e.message });
  //     });

  // };

  const onSearch = (value) => {
    if (value) {
      request(`/student/${value}`)
        .then((res) => {
          form.setFieldsValue(res)
        })
        .catch((e) => {});
    } else {
      // this.setState({ data: [] });
    }
  };

  const handleChange = (value) => {
    // this.setState({ value });
  };
  const handleSubmit = (value) => {
    // this.setState({ value });
  };
  return (
    <PageContainer
      header={{
        extra: [
          <Button key="1" onClick={() => history.go('-1')}>
            返回
          </Button>,
        ],
      }}
    >
      <Container>
        <ProForm form={form} onFinish={handleSubmit}>
          <ProCard.Group title="就诊信息" bodyStyle={{ padding: 20 }}>
            <Search
              placeholder="请输入学号"
              loading={searchLoading}
              style={{ width: 200 }}
              onSearch={onSearch}
            />

            <ProFormText
              label="姓名"
              placeholder="输入名称"
              name="name"
              rules={[{ required: true, message: '请填写名称' }]}
            />

            <ProFormSelect
              options={[
                {
                  value: '6',
                  label: '6%',
                },
                {
                  value: '12',
                  label: '12%',
                },
              ]}
              initialValue="6"
              name="taxRate"
              label="性别"
            />

            <ProFormText
              label="学号"
              placeholder="输入名称"
              name="name"
              rules={[{ required: true, message: '请填写名称' }]}
            />

            <ProFormText
              label="联系方式"
              placeholder="输入名称"
              name="name"
              rules={[{ required: true, message: '请填写名称' }]}
            />

            {/* {list.map((d) => (
              <Option key={d.value}>{d.text}</Option>
            ))} */}
            {/* {options} */}

            {/* <ProFormSelect
                options={[
                  {
                    value: '6',
                    label: '6%',
                  },
                  {
                    value: '12',
                    label: '12%',
                  },
                ]}
                initialValue="6"
                width="xs"
                name="taxRate"
                label="税率"
              /> */}
          </ProCard.Group>
          <ProCard.Group title="诊断" bodyStyle={{ padding: 20 }}>
            <ProFormText
              label="就诊科室"
              placeholder="输入名称"
              name="name"
              rules={[{ required: true, message: '请填写名称' }]}
            />

            <ProFormTextArea
              label="诊断报告"
              placeholder="输入简介"
              name="desc"
              rules={[{ required: true, message: '请填写简介' }]}
            />
          </ProCard.Group>
        </ProForm>
      </Container>
    </PageContainer>
  );
};

export default connect((s) => ({
  typeList: s.post.typeList,
}))(VisitEdit);
